{% extends 'base.html' %}

{% block head %}
    <link rel="stylesheet" href="{{ url_for('static', filename = '/styles/Tiles.css')}}">
{% endblock %}

{% block article %}
    <div class="article">
        <h1>Available Projects</h1>
    </div>

    <div class="article">
        <div class="projectdiv">

            {% for post in projects %}
                <div class="column">
                    <div class="element">
                        <div class="image">

                        </div>
                        <div class="part">
                            <div class="Title_DIV">
                                <p class="Title">{{ post['name'] }}</p>
                            </div>
                            <div class="Tech_DIV">
                                <p>{{ post['techs'] }}</p>
                            </div>
                            <div class="Options_DIV">
                                <a href="{{ post['link'] }}" target="_blank">Link</a>
                                <a href="{{ url_for('edit', id=post['id']) }}">Edit</a>
                            </div>
                        </div>
                    </div>
                </div>

            {% endfor %}

        </div>
    </div>
{% endblock %}